DROP SCHEMA public CASCADE;
CREATE SCHEMA public;

--
-- PostgreSQL database dump
--

-- Dumped from database version 11.2
-- Dumped by pg_dump version 11.2

-- Started on 2019-03-23 13:12:01 CET

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET client_min_messages = warning;
SET row_security = off;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 196 (class 1259 OID 17098)
-- Name: customer; Type: TABLE; Schema: public; Owner: dipl
--

CREATE TABLE public.customer (
    city character varying(100) NOT NULL,
    customer_code character varying(100) NOT NULL,
    id bigint NOT NULL,
    zip_code character varying(100) NOT NULL,
    street character varying(100) NOT NULL
);


ALTER TABLE public.customer OWNER TO dipl;

--
-- TOC entry 197 (class 1259 OID 17101)
-- Name: customer_id_seq; Type: SEQUENCE; Schema: public; Owner: dipl
--

CREATE SEQUENCE public.customer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.customer_id_seq OWNER TO dipl;

--
-- TOC entry 3226 (class 0 OID 0)
-- Dependencies: 197
-- Name: customer_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: dipl
--

ALTER SEQUENCE public.customer_id_seq OWNED BY public.customer.id;


--
-- TOC entry 198 (class 1259 OID 17103)
-- Name: drive_record; Type: TABLE; Schema: public; Owner: dipl
--

CREATE TABLE public.drive_record (
    id bigint NOT NULL,
    warehouse_id bigint NOT NULL,
    travel_expenses bigint NOT NULL
);


ALTER TABLE public.drive_record OWNER TO dipl;

--
-- TOC entry 199 (class 1259 OID 17106)
-- Name: driving_record_id_seq; Type: SEQUENCE; Schema: public; Owner: dipl
--

CREATE SEQUENCE public.driving_record_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.driving_record_id_seq OWNER TO dipl;

--
-- TOC entry 3227 (class 0 OID 0)
-- Dependencies: 199
-- Name: driving_record_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: dipl
--

ALTER SEQUENCE public.driving_record_id_seq OWNED BY public.drive_record.id;


--
-- TOC entry 200 (class 1259 OID 17108)
-- Name: order; Type: TABLE; Schema: public; Owner: dipl
--

CREATE TABLE public."order" (
    id bigint NOT NULL,
    user_id bigint NOT NULL,
    date date NOT NULL
);


ALTER TABLE public."order" OWNER TO dipl;

--
-- TOC entry 209 (class 1259 OID 17175)
-- Name: order_drive_record; Type: TABLE; Schema: public; Owner: dipl
--

CREATE TABLE public.order_drive_record (
    id bigint NOT NULL,
    id_drive_record bigint NOT NULL,
    id_order bigint NOT NULL
);


ALTER TABLE public.order_drive_record OWNER TO dipl;

--
-- TOC entry 208 (class 1259 OID 17173)
-- Name: order_drive_record_id_seq; Type: SEQUENCE; Schema: public; Owner: dipl
--

CREATE SEQUENCE public.order_drive_record_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.order_drive_record_id_seq OWNER TO dipl;

--
-- TOC entry 3228 (class 0 OID 0)
-- Dependencies: 208
-- Name: order_drive_record_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: dipl
--

ALTER SEQUENCE public.order_drive_record_id_seq OWNED BY public.order_drive_record.id;


--
-- TOC entry 201 (class 1259 OID 17111)
-- Name: order_id_seq; Type: SEQUENCE; Schema: public; Owner: dipl
--

CREATE SEQUENCE public.order_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.order_id_seq OWNER TO dipl;

--
-- TOC entry 3229 (class 0 OID 0)
-- Dependencies: 201
-- Name: order_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: dipl
--

ALTER SEQUENCE public.order_id_seq OWNED BY public."order".id;


--
-- TOC entry 202 (class 1259 OID 17113)
-- Name: order_product; Type: TABLE; Schema: public; Owner: dipl
--

CREATE TABLE public.order_product (
    id bigint NOT NULL,
    id_order bigint NOT NULL,
    id_product bigint NOT NULL
);


ALTER TABLE public.order_product OWNER TO dipl;

--
-- TOC entry 203 (class 1259 OID 17116)
-- Name: order_product_id_seq; Type: SEQUENCE; Schema: public; Owner: dipl
--

CREATE SEQUENCE public.order_product_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.order_product_id_seq OWNER TO dipl;

--
-- TOC entry 3230 (class 0 OID 0)
-- Dependencies: 203
-- Name: order_product_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: dipl
--

ALTER SEQUENCE public.order_product_id_seq OWNED BY public.order_product.id;


--
-- TOC entry 204 (class 1259 OID 17118)
-- Name: product; Type: TABLE; Schema: public; Owner: dipl
--

CREATE TABLE public.product (
    product_code character varying(100) NOT NULL,
    price bigint NOT NULL,
    id bigint NOT NULL,
    profit_margin bigint NOT NULL
);


ALTER TABLE public.product OWNER TO dipl;

--
-- TOC entry 205 (class 1259 OID 17121)
-- Name: product_id_seq; Type: SEQUENCE; Schema: public; Owner: dipl
--

CREATE SEQUENCE public.product_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.product_id_seq OWNER TO dipl;

--
-- TOC entry 3231 (class 0 OID 0)
-- Dependencies: 205
-- Name: product_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: dipl
--

ALTER SEQUENCE public.product_id_seq OWNED BY public.product.id;


--
-- TOC entry 206 (class 1259 OID 17123)
-- Name: warehouse; Type: TABLE; Schema: public; Owner: dipl
--

CREATE TABLE public.warehouse (
    id bigint NOT NULL,
    warehouse_code character varying(100) NOT NULL,
    city character varying(100) NOT NULL,
    zip_code character varying(100) NOT NULL,
    street character(100) NOT NULL
);


ALTER TABLE public.warehouse OWNER TO dipl;

--
-- TOC entry 207 (class 1259 OID 17126)
-- Name: warehouse_id_seq; Type: SEQUENCE; Schema: public; Owner: dipl
--

CREATE SEQUENCE public.warehouse_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.warehouse_id_seq OWNER TO dipl;

--
-- TOC entry 3232 (class 0 OID 0)
-- Dependencies: 207
-- Name: warehouse_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: dipl
--

ALTER SEQUENCE public.warehouse_id_seq OWNED BY public.warehouse.id;


--
-- TOC entry 3073 (class 2604 OID 17128)
-- Name: customer id; Type: DEFAULT; Schema: public; Owner: dipl
--

ALTER TABLE ONLY public.customer ALTER COLUMN id SET DEFAULT nextval('public.customer_id_seq'::regclass);


--
-- TOC entry 3074 (class 2604 OID 17129)
-- Name: drive_record id; Type: DEFAULT; Schema: public; Owner: dipl
--

ALTER TABLE ONLY public.drive_record ALTER COLUMN id SET DEFAULT nextval('public.driving_record_id_seq'::regclass);


--
-- TOC entry 3075 (class 2604 OID 17130)
-- Name: order id; Type: DEFAULT; Schema: public; Owner: dipl
--

ALTER TABLE ONLY public."order" ALTER COLUMN id SET DEFAULT nextval('public.order_id_seq'::regclass);


--
-- TOC entry 3079 (class 2604 OID 17178)
-- Name: order_drive_record id; Type: DEFAULT; Schema: public; Owner: dipl
--

ALTER TABLE ONLY public.order_drive_record ALTER COLUMN id SET DEFAULT nextval('public.order_drive_record_id_seq'::regclass);


--
-- TOC entry 3076 (class 2604 OID 17131)
-- Name: order_product id; Type: DEFAULT; Schema: public; Owner: dipl
--

ALTER TABLE ONLY public.order_product ALTER COLUMN id SET DEFAULT nextval('public.order_product_id_seq'::regclass);


--
-- TOC entry 3077 (class 2604 OID 17132)
-- Name: product id; Type: DEFAULT; Schema: public; Owner: dipl
--

ALTER TABLE ONLY public.product ALTER COLUMN id SET DEFAULT nextval('public.product_id_seq'::regclass);


--
-- TOC entry 3078 (class 2604 OID 17133)
-- Name: warehouse id; Type: DEFAULT; Schema: public; Owner: dipl
--

ALTER TABLE ONLY public.warehouse ALTER COLUMN id SET DEFAULT nextval('public.warehouse_id_seq'::regclass);


--
-- TOC entry 3081 (class 2606 OID 17135)
-- Name: customer customer_pkey; Type: CONSTRAINT; Schema: public; Owner: dipl
--

ALTER TABLE ONLY public.customer
    ADD CONSTRAINT customer_pkey PRIMARY KEY (id);


--
-- TOC entry 3083 (class 2606 OID 17137)
-- Name: drive_record driving_record_pkey; Type: CONSTRAINT; Schema: public; Owner: dipl
--

ALTER TABLE ONLY public.drive_record
    ADD CONSTRAINT driving_record_pkey PRIMARY KEY (id);


--
-- TOC entry 3093 (class 2606 OID 17180)
-- Name: order_drive_record order_drive_record_pkey; Type: CONSTRAINT; Schema: public; Owner: dipl
--

ALTER TABLE ONLY public.order_drive_record
    ADD CONSTRAINT order_drive_record_pkey PRIMARY KEY (id);


--
-- TOC entry 3085 (class 2606 OID 17139)
-- Name: order order_pkey; Type: CONSTRAINT; Schema: public; Owner: dipl
--

ALTER TABLE ONLY public."order"
    ADD CONSTRAINT order_pkey PRIMARY KEY (id);


--
-- TOC entry 3087 (class 2606 OID 17141)
-- Name: order_product order_product_pkey; Type: CONSTRAINT; Schema: public; Owner: dipl
--

ALTER TABLE ONLY public.order_product
    ADD CONSTRAINT order_product_pkey PRIMARY KEY (id);


--
-- TOC entry 3089 (class 2606 OID 17143)
-- Name: product product_pkey; Type: CONSTRAINT; Schema: public; Owner: dipl
--

ALTER TABLE ONLY public.product
    ADD CONSTRAINT product_pkey PRIMARY KEY (id);


--
-- TOC entry 3091 (class 2606 OID 17145)
-- Name: warehouse warehouse_pkey; Type: CONSTRAINT; Schema: public; Owner: dipl
--

ALTER TABLE ONLY public.warehouse
    ADD CONSTRAINT warehouse_pkey PRIMARY KEY (id);


--
-- TOC entry 3099 (class 2606 OID 17186)
-- Name: order_drive_record fk_drive_record; Type: FK CONSTRAINT; Schema: public; Owner: dipl
--

ALTER TABLE ONLY public.order_drive_record
    ADD CONSTRAINT fk_drive_record FOREIGN KEY (id_drive_record) REFERENCES public.drive_record(id);


--
-- TOC entry 3098 (class 2606 OID 17181)
-- Name: order_drive_record fk_order; Type: FK CONSTRAINT; Schema: public; Owner: dipl
--

ALTER TABLE ONLY public.order_drive_record
    ADD CONSTRAINT fk_order FOREIGN KEY (id_order) REFERENCES public."order"(id);


--
-- TOC entry 3096 (class 2606 OID 17146)
-- Name: order_product id_order_fk; Type: FK CONSTRAINT; Schema: public; Owner: dipl
--

ALTER TABLE ONLY public.order_product
    ADD CONSTRAINT id_order_fk FOREIGN KEY (id_order) REFERENCES public."order"(id);


--
-- TOC entry 3097 (class 2606 OID 17151)
-- Name: order_product id_product_fk; Type: FK CONSTRAINT; Schema: public; Owner: dipl
--

ALTER TABLE ONLY public.order_product
    ADD CONSTRAINT id_product_fk FOREIGN KEY (id_order) REFERENCES public."order"(id);


--
-- TOC entry 3095 (class 2606 OID 17161)
-- Name: order user_id_fk; Type: FK CONSTRAINT; Schema: public; Owner: dipl
--

ALTER TABLE ONLY public."order"
    ADD CONSTRAINT user_id_fk FOREIGN KEY (user_id) REFERENCES public.customer(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 3094 (class 2606 OID 17166)
-- Name: drive_record warehouse_id_fk; Type: FK CONSTRAINT; Schema: public; Owner: dipl
--

ALTER TABLE ONLY public.drive_record
    ADD CONSTRAINT warehouse_id_fk FOREIGN KEY (warehouse_id) REFERENCES public.warehouse(id);


-- Completed on 2019-03-23 13:12:02 CET

--
-- PostgreSQL database dump complete
--